Configurer et utiliser GNUnet

14 replies [Last post]
Substance2004
Offline
Joined: 11/05/2013

Bonjour à tous,

Je suis depuis quelques temps au courant de l'existence de GNUnet qui peut être une bonne alternative à Transmission, l'usage recommandé d'un VPN en moins pour éviter des déconvenues avec Hadopi ou autres (réseau sécurisé).

J'ai installé le logiciel, mais en revanche, du à mon manque de connaissance, je ne sais pas trop comment configurer la bête.

Je vois déjà après avoir lancer un sudo gnunet-setup -d gconfig -c /etc/gnunetd.conf pour configurer que je peux avoir des options avancées dans les préférences.

Je ne sais pas si elle me sont nécessaires.

Est-ce que par exemple dans les configurations fondamentales, gnunetd doit supporter le VPN ???

Je sais aussi que le GNUnet peut être lent à établir une connexion et ralentir ma machine (je suis en 32 bits)

Quel serait avec une connexion adls normale le meilleur envoi/réception en bps ?

J'ouvre cette discussion surtout pour laisser assez d'information aux autres utilisateurs Trisquel pour l'utiliser. Les explications sur les pages Ubuntu ne sont pas très prolixes sur cette configuration qui me semble essentielle.

Merci d'avance aux contributeurs de cette discussion.

obscurité
Offline
Joined: 04/24/2014

Bonjour, moi j'essaye d'installer GNUnet à partir de la source et je n'arrive pas à installer GNUtls , il me manque la librairie hogweed bien que j'aie installé nettle-3.0.

Pourrais-tu me dire comment tu as fait stp?
Merci.

Substance2004
Offline
Joined: 11/05/2013

GNUnet est ultra simple à installer.

Tu vas dans ajouter/supprimer des applications.

Le dépo s'appelle exactement P2P sécurisé GNUnet. Donc tu devrais le trouver avec une simple recherche.

obscurité
Offline
Joined: 04/24/2014

@Substance2004: dans le dépot de trisquel , seul est disponible la version 0.8.1 de GNUnet et qui ne marche plus car il ne fonctionne maintenant qu'avec les versions superieures 0.9.x donc il faut que j'installe tout à partir de la source et je n'y arrive pas.

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Tu peux passer à Trisquel 7, dont les ISOs d'installation sont ici : http://devel.trisquel.info/makeiso/iso/

La version 0.9.3 de GNUnet est présente dans ses dépôts.

Si tu ne veux pas passer à Trisquel 7, tu peux toujours essayer de télécharger ses paquets liés à GNUnet ("gnunet", "gnunet-gtk", etc.) et de les installer avec gdebi (le paquet "gdebi" se trouve dans le dépôt de Trisquel 6) en double-cliquant dessus. Voilà un endroit où trouver les paquets (organisés alphabétiquement, choisis les paquets qui correspondent à ton architecture, probablement "amd64") : http://es.archive.trisquel.info/trisquel/pool/main/

Il y a néanmoins de grandes chances pour que gdebi se plaigne de dépendances non-satisfaites. Il t'indiquera lesquelles et tu peux aussi les chercher dans le dépôts de Trisquel 7. Néanmoins, ces dépendances peuvent, elles-même, dépendre de paquets qui ne sont pas dans Trisquel 6 (ou qui y sont dans des versions trop vieilles). Tu rentrerais alors dans le "dependency hell" (et tu ne veux pas changer des bibliothèques aussi fondamentale que libc6, par exemple).

nmrk.n
Offline
Joined: 11/01/2013

Le 21/08/2014 15:55, name at domain a écrit :
> Tu peux passer à Trisquel 7, dont les ISOs d'installation sont ici :
> http://devel.trisquel.info/makeiso/iso/
>
> La version 0.9.3 de GNUnet est présente dans ses dépôts.
>
> Si tu ne veux pas passer à Trisquel 7, tu peux toujours essayer de
> télécharger ses paquets liés à GNUnet ("gnunet", "gnunet-gtk", etc.)
> et de les installer avec gdebi (le paquet "gdebi" se trouve dans le
> dépôt de Trisquel 6) en double-cliquant dessus. Voilà un endroit où
> trouver les paquets (organisés alphabétiquement, choisis les paquets
> qui correspondent à ton architecture, probablement "amd64") :
> http://es.archive.trisquel.info/trisquel/pool/main/
>
> Il y a néanmoins de grandes chances pour que gdebi se plaigne de
> dépendances non-satisfaites. Il t'indiquera lesquelles et tu peux
> aussi les chercher dans le dépôts de Trisquel 7. Néanmoins, ces
> dépendances peuvent, elles-même, dépendre de paquets qui ne sont pas
> dans Trisquel 6 (ou qui y sont dans des versions trop vieilles). Tu
> rentrerais alors dans le "dependency hell" (et tu ne veux pas changer
> des bibliothèques aussi fondamentale que libc6, par exemple).
>

------------------------------------------------------------------------
La 7 finale est sortie ?
--
nmrk.n
[FSF Associate Member]

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Pas encore.

Substance2004
Offline
Joined: 11/05/2013

Je ne suis pas en mesure de te répondre.

En tant qu'utilisateur de trisquel 6, il est très difficile d'installer une version 0.9 de GNUnet car on peut aller loin, tant il faut de nouvelles dépendances.

Sinon, passe à une version supérieure de Trisquel...

Substance2004
Offline
Joined: 11/05/2013

Personne n'a répondu à ma question qui consistait à utiliser GNUnet...

L'ntitulé de ce post est : configurer et utiliser GNUnet

Pas "problème d'utilisation de GNUnet"

Si tout le monde s'accorde à dire à Obscurité qu'il doit changer de version, ça veux dire que ceux qui sont encore sur Trisquel 6 ont un GNUnet qui ne fonctionne pas...

Quant à la preuve que GNUnet 0.8 ne fonctionne pas...je n'en sais rien...

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

De ce que je comprends, ce n'est pas que GNUnet 0.8.x ne fonctionne pas. C'est juste qu'il ne sait échanger qu'avec d'autres instance de GNUnet 0.8.x... et pratiquement tous les utilisateurs de GNUnet sont passés aux versions plus récentes.

Pour ce qui est de la configuration, vois http://doc.ubuntu-fr.org/gnunet#configuration

Substance2004
Offline
Joined: 11/05/2013

Merci une fois de plus Magic.

Mais faut-il que je déclenche le VPN dans les préférences ? Du moins pour ma sécurité comme je suis en France ???

J'avais essayer d'installer la 0.9 avec les paquets Debian, mais quand j'ai vu jusqu'où Trisquel m'emmenait pour satisfaire ses dépendances, j'ai tout de suite pensé que la version 7 finale va faire plaisir à tout le monde !

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

Je ne sais pas ce que tu entends pas "sécurité" mais GNUnet est ce qu'il se fait de plus anonymisant en matière d'échange de fichiers. Je pense que, comme pour Tor, ajouter une couche de VPN fait baisser le niveau d'anonymat plutôt que de l'augmenter.

Substance2004
Offline
Joined: 11/05/2013

Je crois que beaucoup appelleraient "sécurité" tout moyen protégeant les réseaux par pairs d'une amande d'Hadopi voir d'une simple lettre d'eux.
Je ne sais pas si la question du piratage est véritablement le débat ici. Nous pourrions en débattre avec courtoisie et constater que les opinions sur la question ne peuvent être aussi catégoriques.

Je ne sais pas si j'ai répondu à cette question.

Je te parle bien des préférences que GNUnet me propose...

Dans mon premier post, je parlais de cette case VPN à cocher dans les configurations fondamentales. Je ne sais pas si elle peut être utile.

Je ne parle pas de ce VPN que tu as acheté à une société et que tu enclenches avec l'utilitaire d connections réseau ! Je crois que c'était ça que tu avais compris. Effectivement, je ne l'employais pas avec Tor quand j'étais encore abonné à mon fournisseur de VPN.

Je vais être plus clair...

J'ai touché à rien dans les préférences de GNUnet et elles sont encore par défaut.

La case VPN n'est pas cochée.

Les préférences par défaut sont-elles suffisantes pour être anonyme (tout comme quand j'utilisais Transmission avec mon VPN ?) ?

N'y a t-il rien d'autre à ajouter ???

Magic Banana

I am a member!

Offline
Joined: 07/24/2010

La configuration par défaut devrait convenir. Mais voilà la documentation complète si tu veux tout comprendre : https://gnunet.org/content/configuring-your-peer

Substance2004
Offline
Joined: 11/05/2013

Merci beaucoup Magic.

J'étais effectivement tombé sur cette documentation.

Bien que je puisse lire l'anglais courant, je préférais discuter de ce logiciel avec quelqu'un qui le connaît déjà bien avant de me lancer, ainsi que dans une lecture qui me semblait assez rebutante et dont je pouvais ne pas tout comprendre.